package com.xy.dto;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.experimental.Accessors;

import javax.validation.constraints.NotBlank;
import java.time.LocalDateTime;

/**
 * <p>
 * 场景DTO
 * </p>
 *
 * @author hechunping
 * @since 2023/2/1
 */
@Data
@Accessors(chain = true)
public class SysSceneDto {

    @Data
    @Accessors(chain = true)
    public static class Save{
        private Long id;

        @ApiModelProperty(value = "父ID")
        private Long paterId;

        @ApiModelProperty(value = "场景值")
        private String sceneCode;

        @NotBlank
        @ApiModelProperty(value = "场景名称",required = true)
        private String name;

        @ApiModelProperty(value = "权重(排序)")
        private Integer weigh;

        @ApiModelProperty(value = "状态;0=隐藏,1=显示")
        private Boolean status;
    }

    @Data
    @Accessors(chain = true)
    public static class Vo{
        private Long id;

        @ApiModelProperty(value = "父ID")
        private Long paterId;

        @ApiModelProperty(value = "场景值")
        private String sceneCode;

        @ApiModelProperty(value = "场景名称")
        private String name;

        @ApiModelProperty(value = "层级")
        private Integer level;

        @ApiModelProperty(value = "权重(排序)")
        private Integer weigh;

        @ApiModelProperty(value = "状态;0=隐藏,1=显示")
        private Boolean status;

        @ApiModelProperty("创建时间")
        @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
        private LocalDateTime createTime;

        @ApiModelProperty("更新时间")
        @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
        private LocalDateTime updateTime;
    }
}
